### A free/open-source library for quantitative finance

Public Member Functions
ShortRateModel Class Reference
Short-rate modelling framework

Abstract short-rate model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for ShortRateModel:
[legend]

List of all members.

## Public Member Functions

| ShortRateModel (Size nArguments)
virtual boost::shared_ptr < Lattice > | tree (const TimeGrid &) const =0

## Detailed Description

Abstract short-rate model class.